Modify

Opened 7 years ago

Closed 7 years ago

#7290 closed defect (fixed)

backfire avr32 : elfutils-0.143.tar.bz2 fails to compile

Reported by: Bingo600 Owned by: developers
Priority: normal Milestone: Backfire 10.03.1
Component: packages Version: Trunk
Keywords: elfutils __thread Cc:

Description

Go easy on me .. It's my first try with OpenWrt

On backfire avr32 trunk:
elfutils-0.143.tar.bz2 fails to compile on Ubuntu 9.10

configure:4106: result: no
configure:4109: error: thread support required

According to this http://sourceware.org/bugzilla/show_bug.cgi?id=9928#c2

We need to patch with elfutils-portability.patch

I modified /backfire/feeds/packages/libs/elfutils/Makefile to get elfutils-0.147

PKG_NAME:=elfutils
PKG_VERSION:=0.147

Made a new 001-elfutils-portability.patch (as per above), and modified the 003-no_warnings_as_errors.patch

Have included patches in attached file.

Hope it's usable

/Bingo

Attachments (1)

elfutils.tar.gz (12.4 KB) - added by Bingo600 7 years ago.
patches for elfutil-0147

Download all attachments as: .zip

Change History (3)

Changed 7 years ago by Bingo600

patches for elfutil-0147

comment:1 Changed 7 years ago by Bingo600

Well im in doubt if this is Trunk ...

I checkked out w. this command:

svn co svn://svn.openwrt.org/openwrt/branches/backfire backfire

/Bingo

comment:2 Changed 7 years ago by nico

  • Resolution set to fixed
  • Status changed from new to closed

Applied with minor modifications in [21384], thanks !

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.